apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: {{ .Release.Name }}
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt
    nginx.ingress.kubernetes.io/proxy-body-size: "0"
    nginx.org/client-max-body-size: "0"
spec:
  ingressClassName: nginx
  rules:
  - host: {{ .Values.jellyfin.domain }}
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: jellyfin
            port:
              name: http
  tls:
  - hosts:
    - {{ .Values.jellyfin.domain }}
    secretName: jellyfin-tls-cert